% The University of Texas at Arlington
% This script simulates the slsf models of buck converter using interval
% matrices that were obtained in form of preloaded .mat files.
% Select Case 1 or Case 2 from line 10 or 11
clc
clear all
CASE_1 = 1;%Case 1: R,L,C - tolerance 1 percent
CASE_2 = 2;%Case 2: R,L,C,T,Vs,rs,rL - tolerance 5 percent
% User must select (i.e. remove % sign)from following options:
% mode = CASE_1; 
mode = CASE_2;
switch mode
    case CASE_1
        load data_buck_int1.mat;%loads inerval matrices
        %simulate the A_max,B_max model
        [toutu,youtu]=sim('buck_int_u');
        % simulate the A_min,B_min model
        [toutl,youtl]=sim('buck_int_l');
    case CASE_2
        load data_buck_int2.mat;%loads inerval matrices 
        %simulate the A_max,B_max model
        [toutu,youtu]=sim('buck_int_u2');
        % simulate the A_min,B_min model
        [toutl,youtl]=sim('buck_int_l2');
otherwise
        % error
        'Error'
end

% plot the results
subplot(1,3,1)
plot(toutu,youtu(:,3),'b-','LineWidth',2);axis tight;grid;hold on
plot(toutl,youtl(:,3),'r-','LineWidth',2);hold off
xlabel('Time,Sec');ylabel('v_C, V');
legend('A_{max},B_{max}','A_{min},B_{min}','Location','SouthEast')
subplot(1,3,2)
plot(toutu,youtu(:,2),'b-','LineWidth',2);axis tight;grid;hold on
plot(toutl,youtl(:,2),'r-','LineWidth',2);hold off
xlabel('Time,Sec');ylabel('i_L, A');
legend('A_{max},B_{max}','A_{min},B_{min}')
subplot(1,3,3)
plot(youtu(:,2),youtu(:,3),'b-','LineWidth',2);axis tight;grid;hold on
plot(youtl(:,2),youtl(:,3),'r-','LineWidth',2);hold off
xlabel('i_L, A');ylabel('v_C, V');
legend('A_{max},B_{max}','A_{min},B_{min}')